Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[mini-cómo] Instalación del DNIe en Gentoo
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2  
Reply to topic    Gentoo Forums Forum Index Spanish
View previous topic :: View next topic  
Author Message
pcmaster
Advocate
Advocate


Joined: 04 Dec 2003
Posts: 2013
Location: Barcelona

PostPosted: Mon Nov 29, 2010 9:47 pm    Post subject: Reply with quote

Perdona, hay dos archivos de patch, el otro es /usr/local/portage/dev-libs/opensc-dnie/files/opensc-dnie-wrap.conf.patch

Code:
$ cat /usr/local/portage/dev-libs/opensc-dnie/files/opensc-dnie-wrap.conf.patch
49a50
>    reader_drivers=pcsc;
121a123,128
>    card_drivers = dnie;
>
>    card_driver dnie {
>       #The location of the driver library
>       module = /usr/lib/libwrapper-dnie.so;
>    }

_________________
pcmaster
Back to top
View user's profile Send private message
cameta
l33t
l33t


Joined: 04 Aug 2004
Posts: 695

PostPosted: Mon Nov 29, 2010 10:17 pm    Post subject: Reply with quote

Pues me parece que son identicas:

Code:
49a50
>    reader_drivers=pcsc;
121a123,128
>    card_drivers = dnie;
>
>    card_driver dnie {
>       #The location of the driver library
>       module = /usr/lib/libwrapper-dnie.so;
>    }


Ah si cuando acabo de instalar el mensaje de error que da es este:
* QA Notice: Pre-stripped files found:
* /usr/lib/libopensc-dnie.so.1.0.3
strip: i686-pc-linux-gnu-strip --strip-unneeded -R .comment
usr/lib/libwrapper-dnie.so.1.0.0
usr/lib/libopensc-dnie.a
making executable: usr/lib/libopensc-dnie.so.1.0.3
making executable: usr/lib/libwrapper-dnie.so.1.0.0

>>> Installing (1 of 1) dev-libs/opensc-dnie-1.4.6-r1
patching file /etc/opensc.conf
patch: **** `>' expected at line 5 of patch
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.

Tambien uso la siguiente versión de opensc:

[ebuild R ] dev-libs/opensc-0.11.13 USE="pcsc-lite -doc -openct" 0 kB

a lo mejor es culpa de que usa una nueva version de opensc.conf, pero en ese caso puedo intentar hacerlo manualmente.
_________________
Si algo falla LEE el jodido manual, Si sigue fallando LEE BIEN el jodido manual.
Back to top
View user's profile Send private message
cameta
l33t
l33t


Joined: 04 Aug 2004
Posts: 695

PostPosted: Tue Nov 30, 2010 8:42 pm    Post subject: Reply with quote

Tras parchear a mano y seguir el resto de pasos la cosa sigue sin funcionar.
Firefox no reconoce la tarjeta:
Code:
[opensc-pkcs11] ctx.c:351:load_dynamic_driver: Module dnie: cannot load /usr/lib/libwrapper-dnie.so library: file not found
[opensc-pkcs11] ctx.c:467:load_card_drivers: Unable to load 'dnie'.
[opensc-pkcs11] card.c:213:sc_connect_card: unable to find driver for inserted card
[opensc-pkcs11] card.c:228:sc_connect_card: returning with: Card is invalid or cannot be handled


Pues esta
mestres@tux ~ $ ls /usr/lib/libwrapper-dnie.so
/usr/lib/libwrapper-dnie.so)[/quote]

Menuda chapuza de DNI electrónico esto no hay ni dios que consiga arrancarlo en Linux.
:twisted: :twisted: :twisted: :twisted: :twisted:
_________________
Si algo falla LEE el jodido manual, Si sigue fallando LEE BIEN el jodido manual.
Back to top
View user's profile Send private message
cameta
l33t
l33t


Joined: 04 Aug 2004
Posts: 695

PostPosted: Tue Nov 30, 2010 11:36 pm    Post subject: Reply with quote

Intentaré con las antiguas versiones de opensc a ver que ocurre.
_________________
Si algo falla LEE el jodido manual, Si sigue fallando LEE BIEN el jodido manual.
Back to top
View user's profile Send private message
cameta
l33t
l33t


Joined: 04 Aug 2004
Posts: 695

PostPosted: Wed Dec 01, 2010 7:45 pm    Post subject: Reply with quote

He conseguido que funcione con la 1.4.7.
Pero eso si el firefox se queja
[opensc-pkcs11] iso7816.c:99:iso7816_check_sw: Security status not satisfied
[opensc-pkcs11] base_card.c:1208:card_read_binary: returning with: Security status not satisfied
[opensc-pkcs11] card.c:430:sc_read_binary: returning with: Security status not satisfied
[opensc-pkcs11] card_helper.c:326:card_helper_read_certificate_file: returning with: Security status not satisfied
[opensc-pkcs11] card_sync.c:880:card_sync_card_to_virtual_fs_certificate_file_callback: returning with: Security status not satisfied
[opensc-pkcs11] iso7816.c:99:iso7816_check_sw: Security status not satisfied
[opensc-pkcs11] base_card.c:1208:card_read_binary: returning with: Security status not satisfied

bueno ya iremos chafardeando más.
_________________
Si algo falla LEE el jodido manual, Si sigue fallando LEE BIEN el jodido manual.
Back to top
View user's profile Send private message
cameta
l33t
l33t


Joined: 04 Aug 2004
Posts: 695

PostPosted: Wed Dec 01, 2010 9:19 pm    Post subject: Reply with quote

He tenido que modificar el ebuild:
Alguien se ha cargado la web del dni electrónico. :cry: :cry: :cry:

Code:
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

DESCRIPTION="Controlador opensc para el DNI electrónico"
HOMEPAGE="www.dnie.es"

SITE="http://www.policia.es/dnie/descargas/pkcs11_para_sistemas_unix/software"
SRC_URI="x86? ( ${SITE}/1.4.7.ubuntu_karmic_32/ubuntu_karmic_${PN}_1.4.7-2_i386.tar )
amd64? ( ${SITE}/1.4.7.ubuntu_karmic_64/ubuntu_karmic_${PN}_1.4.7-2_amd64.tar ) "

LICENSE="DGP"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND="=dev-libs/opensc-0.11.8
      sys-devel/binutils
      app-arch/tar"
RDEPEND="dev-lang/perl
      =dev-libs/opensc-0.11.8"

src_install() {
   if use amd64; then
      ARQ="_amd64"
   else
      ARQ="_i386"
   fi
   ar -x ${PN}_1.4.7-1${ARQ}.deb || die "Extract failed"
   cd ${D}
   tar xvzf ${WORKDIR}/data.tar.gz || die "Install failed"
}

pkg_postinst() {
   grep dnie /etc/opensc.conf >${T}/odc
   if ( ! test -s ${T}/odc ); then
      patch -b /etc/opensc.conf ${FILESDIR}/opensc-dnie.conf.patch
   fi
}

pkg_postrm() {
   if ( test -e /etc/opensc.conf.orig ); then
      rm /etc/opensc.conf
      mv /etc/opensc.conf.orig /etc/opensc.conf
   fi
}

_________________
Si algo falla LEE el jodido manual, Si sigue fallando LEE BIEN el jodido manual.
Back to top
View user's profile Send private message
pcmaster
Advocate
Advocate


Joined: 04 Dec 2003
Posts: 2013
Location: Barcelona

PostPosted: Mon Mar 07, 2011 2:37 pm    Post subject: Reply with quote

Actualización: En las nuevas versiones de pcsc-lite, ya no está disponible el soporte HAL, y por tanto para que detecte el lector hay que compilarlo con la USE="usb"
_________________
pcmaster
Back to top
View user's profile Send private message
Jorginho
n00b
n00b


Joined: 20 Nov 2010
Posts: 22

PostPosted: Fri Mar 11, 2011 7:26 pm    Post subject: Reply with quote

Os informo de un fallo que habia en el ebuild de opensc-dnie. La correcion esta en que la linea =dev-libs/opensc-0.11.13-r2 no estaba asi >=dev-libs/opensc-0.11.13-r2 el cual ocasionaba estos problemas:

emerge: there are no ebuilds to satisfy "=dev-libs/opensc-0.11.7".
(dependency required by "dev-libs/opensc-dnie-1.4.6" [ebuild])
(dependency required by "opensc-dnie" [argument])

Os pongo aqui el codigo corregido:

Code:
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

DESCRIPTION="Controlador opensc para el DNI electrónico"
HOMEPAGE="www.dnie.es"


SRC_URI="x86? ( http://www.dnielectronico.es/descargas/PKCS11_para_Sistemas_Unix/${PN}_1.4.6-2_i386.deb.tar )
amd64? ( http://www.dnielectronico.es/descargas/PKCS11_para_Sistemas_Unix/${PN}_1.4.6-2_amd64.deb.tar ) "


LICENSE="DGP"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND=">=dev-libs/opensc-0.11.13-r2
      sys-devel/binutils
      app-arch/tar"
RDEPEND="dev-lang/perl
      >=dev-libs/opensc-0.11.13-r2"

src_install() {
   if use amd64; then
      ARQ="_amd64"
   else
      ARQ="_i386"
   fi
   ar -x ${PN}_1.4.6-2${ARQ}.deb || die "Extract failed"
   cd ${D}
   tar xvzf ${WORKDIR}/data.tar.gz || die "Install failed"
}

pkg_postinst() {
    grep dnie /etc/opensc.conf >${T}/odc
    if ( ! test -s ${T}/odc ); then
        patch -b /etc/opensc.conf ${FILESDIR}/opensc-dnie.conf.patch
    fi
}

pkg_postrm() {
    if ( test -e /etc/opensc.conf.orig ); then
        rm /etc/opensc.conf
        mv /etc/opensc.conf.orig /etc/opensc.conf
    fi
}
Back to top
View user's profile Send private message
pcmaster
Advocate
Advocate


Joined: 04 Dec 2003
Posts: 2013
Location: Barcelona

PostPosted: Fri Mar 11, 2011 9:10 pm    Post subject: Reply with quote

Jorginho, ¿te funciona?
_________________
pcmaster
Back to top
View user's profile Send private message
johnlu
Apprentice
Apprentice


Joined: 22 Aug 2004
Posts: 239
Location: Córdoba, España

PostPosted: Tue Mar 15, 2011 4:50 pm    Post subject: Reply with quote

¿Qué sabéis respecto al nuevo opendnie?
Quizás deberíamos ver como hacerlo funcionar y preparar un ebuild, ¿os animáis?

http://forja.cenatic.es/projects/opendnie/
Back to top
View user's profile Send private message
i92guboj
Moderator
Moderator


Joined: 30 Nov 2004
Posts: 9889
Location: Córdoba (Spain)

PostPosted: Fri Jun 03, 2011 7:51 am    Post subject: Reply with quote

Breve inciso: qué lectores de tarjetas estais usando para el dnie? Yo compré uno hace unos meses pero me equivoqué al hacerlo y resultó no ser compatible con los drivers ccid. Lo que es no tener ni idea del tema... Hoy me acordé de este hilo y pensé que sería buena idea preguntar por aquí.

Gracias de antemano.
_________________
Gentoo Handbook | My website
Back to top
View user's profile Send private message
pcmaster
Advocate
Advocate


Joined: 04 Dec 2003
Posts: 2013
Location: Barcelona

PostPosted: Fri Jun 03, 2011 2:38 pm    Post subject: Reply with quote

Debería funcionar con cualquier lector compatible con el driver estandar CCID. De hecho, yo he usado un Cherry ST1210 y el SCM Mycrosystems SCR3310 debe funcionar.

También se supone que funciona el C3PO LTC31 V2.0

¿Qué modelo de lector has comprado?
_________________
pcmaster
Back to top
View user's profile Send private message
i92guboj
Moderator
Moderator


Joined: 30 Nov 2004
Posts: 9889
Location: Córdoba (Spain)

PostPosted: Mon Jul 11, 2011 9:30 am    Post subject: Reply with quote

pcmaster wrote:
Debería funcionar con cualquier lector compatible con el driver estandar CCID. De hecho, yo he usado un Cherry ST1210 y el SCM Mycrosystems SCR3310 debe funcionar.

También se supone que funciona el C3PO LTC31 V2.0

¿Qué modelo de lector has comprado?


Perdón por la tardanza, por algún motivo perdí el hilo de esta conversación.

Me compré on Woxter, no me acuerdo ya del modelo porque lo vendí al poco tiempo. En la misma lista de correo de MUSCLE me dijeron que me olvidara de tener jamás soporte para ese lector, con una negativa más categórica de parte de la gente que tiene dicho proyecto en sus manos tampoco me quedaron ganas de investigar mucho más.

Gracias por la respuesta, a ver si puedo encontrar alguno de esos lectores que comentas en alguna tienda local, si no tendré que buscarlos online.
_________________
Gentoo Handbook | My website
Back to top
View user's profile Send private message
Arctic
Apprentice
Apprentice


Joined: 04 Jul 2011
Posts: 178

PostPosted: Thu May 03, 2012 11:02 pm    Post subject: Reply with quote

cameta wrote:
En el tesoro público www.tesoro.es con la firma electrónica puedo acceder a mis inversiones, pero no puedo firmar para suscribir o renovar (y tengo que usar un windows) :cry:
pirata evidentemente.


No necesareamente , tienes una opcion mas comoda que esa , vas a la administracion del estado , y pides un certificado digital , te haran firmar un papelito y te daran un codigo con el que te descargaras dicho certificado, con el cual podras interactuar sin problema alguno, ademas dicho certificado se puede cifrar con una contraseña para que nadie que se hiciese con el pueda usarlo.Supongo que es la unica solucion que tendra la gente que aun no disponga de dni con chip.

Salu2
_________________
ln -s /user/artic /user/arctic
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Spanish All times are GMT
Goto page Previous  1, 2
Page 2 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum